unit UfrmMain;

{ $Revision: 3 $ }
{  $Archive: /Delphi 2.0/Projekte/NonVCCDemo/UfrmMain.pas $ }
{ $Workfile: UfrmMain.pas $ }
{   $Author: Cueb $ }
{     $Date: 27.07.96 17:20 $ }
{  $Modtime: 27.07.96 11:57 $ }
{  $History: UfrmMain.pas $ }
{  }
{ *****************  Version 3  ***************** }
{ User: Cueb         Date: 27.07.96   Time: 17:20 }
{ Updated in $/Delphi 2.0/Projekte/NonVCCDemo }
{  }
{ *****************  Version 2  ***************** }
{ User: Cueb         Date: 21.07.96   Time: 14:10 }
{ Updated in $/Delphi 2.0/Projekte/NonVCCDemo }
{ Version 1.01 }
{  }
{ *****************  Version 1  ***************** }
{ User: Cueb         Date: 24.06.96   Time: 10:00 }
{ Created in $/Delphi 2.0/Projekte/NonVCCDemo }
{  $NoKeywords: $ }

interface

uses
	Windows,
	Classes,
	Graphics,
	Forms,
	Controls,
	Menus,
	Dialogs,
	StdCtrls,
	Buttons,
	ExtCtrls,
	ComCtrls,
	NonVCContainer,
	DB,
	DBTables;

type
	TfrmMain = class(TForm)
		pnlToolbar: TPanel;
		btnOpenFile: TSpeedButton;
		btnSaveFile: TSpeedButton;
    SaveDialog: TSaveDialog;
    MainMenu: TMainMenu;
    mnuFile: TMenuItem;
    mniFileNew: TMenuItem;
    mniFileOpen: TMenuItem;
    mniFileSave: TMenuItem;
    mniFileSaveAs: TMenuItem;
    mniFileSep1: TMenuItem;
    mniFilePrint: TMenuItem;
    mniFilePrinterSetup: TMenuItem;
    mniFileSep2: TMenuItem;
    mniFileExit: TMenuItem;
    mnuEdit: TMenuItem;
    mniEditUndo: TMenuItem;
		mniEditRedo: TMenuItem;
    mniEditSep1: TMenuItem;
    mniEditCut: TMenuItem;
    mniEditCopy: TMenuItem;
    mniEditPaste: TMenuItem;
    mniEditPasteSpecial: TMenuItem;
    mniEditSep2: TMenuItem;
    mniEditSearch: TMenuItem;
    mniEditRepeatSearch: TMenuItem;
    mniEditReplace: TMenuItem;
    mniEditGoto: TMenuItem;
    mniEditSep3: TMenuItem;
    mniEditLinks: TMenuItem;
    mniEditObject: TMenuItem;
    mnuWindow: TMenuItem;
    mniWindowNew: TMenuItem;
    mniWindowTile: TMenuItem;
    mniWindowCascade: TMenuItem;
    mniWindowSep1: TMenuItem;
    mniWindowHide: TMenuItem;
    mniWindowShow: TMenuItem;
    mnuHelp: TMenuItem;
    mniHelpContents: TMenuItem;
    mniHelpIndex: TMenuItem;
    mniHelpCommands: TMenuItem;
    mniHelpProceedings: TMenuItem;
    mniHelpKeyboard: TMenuItem;
    mniHelpSearch: TMenuItem;
    mniHelpCBT: TMenuItem;
    mniHelpOnHelp: TMenuItem;
    mniHelpSep1: TMenuItem;
    mniHelpAbout: TMenuItem;
    Panel1: TPanel;
    btnExit: TSpeedButton;
    pcMain: TPageControl;
    tsFirst: TTabSheet;
    tsSecond: TTabSheet;
    btnPrint: TSpeedButton;
    PrintDialog: TPrintDialog;
    PrinterSetupDialog: TPrinterSetupDialog;
    ReplaceDialog: TReplaceDialog;
    FindDialog: TFindDialog;
    Table1: TTable;
    Table1test: TStringField;
    Memo1: TMemo;
    NonVCContainer1: TNonVCContainer;
    NonVCContainer2: TNonVCContainer;
		procedure FormCreate(Sender: TObject);
		procedure cmdExit(Sender: TObject);
		procedure cmdOpen(Sender: TObject);
		procedure cmdSave(Sender: TObject);
		procedure cmdSaveAs(Sender: TObject);
		procedure cmdAbout(Sender: TObject);
		procedure ShowHint(Sender: TObject);
    procedure cmdPrint(Sender: TObject);
    procedure cmdPrinterSetup(Sender: TObject);
    procedure cmdNew(Sender: TObject);
    procedure cmdFind(Sender: TObject);
    procedure cmdReplace(Sender: TObject);
    procedure cmdUndo(Sender: TObject);
    procedure cmdRedo(Sender: TObject);
    procedure cmdCut(Sender: TObject);
    procedure cmdCopy(Sender: TObject);
    procedure cmdPaste(Sender: TObject);
    procedure cmdPasteSpecial(Sender: TObject);
    procedure cmdRepeatFind(Sender: TObject);
    procedure cmdGoto(Sender: TObject);
    procedure cmdHelpContents(Sender: TObject);
    procedure cmdHelpIndex(Sender: TObject);
    procedure cmdHelpCommands(Sender: TObject);
    procedure cmdHelpHowTo(Sender: TObject);
    procedure cmdHelpKeyboard(Sender: TObject);
    procedure cmdHelpFind(Sender: TObject);
    procedure cmdHelpTutorial(Sender: TObject);
    procedure cmdHelpOnHelp(Sender: TObject);
	private
		FFileName: String;
	public
		{ Public declarations }
	end;

var
	frmMain: TfrmMain;

implementation

uses
	SysUtils;

{$R *.DFM}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
	Application.OnHint := ShowHint;
end;

procedure TfrmMain.cmdOpen(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdSave(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdSaveAs(Sender: TObject);
begin
	if SaveDialog.Execute then	begin
		if FileExists(SaveDialog.FileName) then begin
		end;
	end;
end;

procedure TfrmMain.cmdExit(Sender: TObject);
begin
	Application.MainForm.Close;
end;

procedure TfrmMain.cmdAbout(Sender: TObject);
begin
	//
end;

procedure TfrmMain.ShowHint(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdPrint(Sender: TObject);
begin
	// Prints the actual document
	if PrintDialog.Execute then begin
	end;
end;

procedure TfrmMain.cmdPrinterSetup(Sender: TObject);
begin
	// PrinterSetupDialog
	PrinterSetupDialog.Execute;
end;

procedure TfrmMain.cmdNew(Sender: TObject);
begin
	// New document
end;

procedure TfrmMain.cmdFind(Sender: TObject);
begin
	// Find ...
	FindDialog.Execute;
end;

procedure TfrmMain.cmdReplace(Sender: TObject);
begin
	ReplaceDialog.Execute;
end;

procedure TfrmMain.cmdUndo(Sender: TObject);
begin
	// Undo
end;

procedure TfrmMain.cmdRedo(Sender: TObject);
begin
	// Redo
end;

procedure TfrmMain.cmdCut(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdCopy(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdPaste(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdPasteSpecial(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdRepeatFind(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdGoto(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpContents(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpIndex(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpCommands(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpHowTo(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpKeyboard(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpFind(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpTutorial(Sender: TObject);
begin
	//
end;

procedure TfrmMain.cmdHelpOnHelp(Sender: TObject);
begin
	//
end;

end.

